Solfege(1)

NAME
solfege - GPL'ed ear training software

SYNOPSIS
solfege [options]

DESCRIPTION
GNU Solfege is a program that let you use your computer to do ear training.

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`-').

-h, --help
    show this help message and exit

-v, --version

-w, --warranty
    Show warranty and copyright.

--no-splash
    Do not show the startup window.

--verbose-sound-init
    Display more info about the sound setup.

--no-sound
    Do not play any sounds. Instead some data is printed to standard output. Use this for debugging and porting.

--debug
    Include features used by the Solfege developers to debug the program. --debug-level=DEBUG_LEVEL Valid debug values are: debug, info, warning, error, critical

--disable-exception-handler
    Disable the exception handling in Gui.standard_exception_handler.

--no-random
    For debugging only: Select questions from lesson files in sequential order.

--show-gtk-warnings
    Show GtkWarnings and PangoWarnings in the traceback window.

-P PROFILE
    Start with <profile>. Create the profile if it does not exist.

--make-screenshots
    Create or update the screenshots for the user manual. Intended for developers of this program. -l LESSONFILE, --run-lessonfile=LESSONFILE Start lesson file. Example: -l solfege:lesson- files/chord-min-major

BUGS
Report bugs to bug-solfege@gnu.org or http://bugs.solfege.org.

FILES

/etc/solfege
    if solfege is installed into /usr, or {prefix}/etc/solfege in all other cases. System administrators can override the values in the default.config file. The most obvious values you might want to change is the sound setup.

~/.solfegerc
    This file is used to store most configuration values. While it is possible to edit the file by hand, everything you need can and should be done from the gui.

~/.solfege
    Statistics is stored in subdirectories below this dir.

COPYRIGHT
GNU Solfege is Copyright © 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 by Tom Cato Amundsen <tca@gnu.org>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

AUTHOR
Main author of GNU Solfege and this manual page is Tom Cato Amundsen <tca@gnu.org>. For more details, read the AUTHORS file from the source tarball.